/* Responsive styles for smaller screens max width 1024px */
@media screen and (max-width: 1024px) {
    hr {
        visibility: visible;
    }

    header {
        justify-content: space-between;
    }

    /* Show menu icon for smaller screens */
    .menu-icon {
        display: block;
        font-size: 50px;
    }

    /* Make the navigation menu a vertical drawer */
    nav ul {
        display: block;
        flex-direction: column;
        width: 90%;
        height: 100vh;
        background-color: #13b67a;
        position: absolute;
        top: 80px;
        left: 0;
        transform: translateX(-100%);
        transition: transform 0.5s ease-in-out;
        z-index: 1000000;
    }

    nav ul li {
        text-align: center;
        margin: 0;
    }

    nav ul li a {
        font-size: 1.56rem;
    }

    /* Show the menu when active */
    nav ul.menu.show {
        transform: translateX(0);
    }

    #contacts .contacts-block {
        margin-top: 0;
        min-width: 30%;
    }

    #contacts .contacts-block-white {
        height: 210px;
        margin-top: -115px;
        margin-bottom: 0;
        min-width: 20%;
    }

    #contacts .contacts-cover {
        margin-top: 0;
        min-width: 25%;
    }

    #contacts .contacts-block-white h2 {
        font-size: 1.5rem;
    }

    .text-block {
        flex-direction: column-reverse;
        height: fit-content;
        max-width: 100%;
    }

    .text-block .text-block-continer {
        height: fit-content;
    }

    .text-block .text-block-img {
        border-radius: 20px 20px 0 0;
    }

    .submit {
        margin-top: 50px;
    }

    #catalog {
        overflow: scroll;
        flex-direction: column;
        align-items: center;
        padding: 20px;
        background-color: transparent;
    }

    .back-holl {
        display: none;
    }

    .holl {
        /* margin-top: -200px; */
        width: 100%;
        height: 300px;
        justify-content: start;
        align-items: center;
        text-align: center;
        z-index: -3;
    }

    .caroucel-wrap {
        margin-left: -30px;
        width: 100%;
        z-index: -1;
        margin-top: 200px;
    }

    .caroucel-item {
        width: 100%;
    }

    .buttons {
        display: none;
    }

    .zoom-btn {
        display: none;
    }

    #services .services-container {
        flex-wrap: wrap;
    }

    #services .services-container .service {
        width: 100%;
    }

    h2,
    p,
    .service {
        opacity: 1;
        transform: translateY(0);
    }

    #about {
        flex-direction: column-reverse;
        justify-content: center;
        align-items: center;
        padding: 0;
        margin: 0 -20px 0 -20px;
    }

    #about h2 {
        text-align: center;
        margin-top: 50px;
    }

    .map {
        width: 100%;
        border-right: 0;
    }

    .about-container {
        max-width: 100%;
        padding: 0 20px 0 20px;
    }

    .green-block {
        display: none;
    }

    #contact {
        padding: 0;
    }

    .contact-form {
        width: 100%;
    }

    .gallery-container {
        grid-template-columns: repeat(auto-fill, minmax(100%, 1fr));
        padding: 0;
    }

    .active a{
        display: none;
    }
}

/* Further adjustments for even smaller screens max width 768px */
@media screen and (max-width: 768px) {
    .menu-icon {
        font-size: 2.19rem;
    }

    #hero h1 {
        font-size: 2rem;
    }

    #hero p {
        font-size: 1.5rem;
    }

    .caroucel-wrap {
        left: 0;
        width: 100%;
    }
}

/* Further adjustments for even smaller screens max width 480px */

@media screen and (max-width: 480px) {
    header {
        height: 60px;
    }

    nav ul {
        top: 60px;
    }

    .logo img {
        width: 45px;
    }

    #hero h1 {
        font-size: 1.4rem;
    }

    #hero p {
        font-size: 1.1rem;
    }

    .contacts {
        margin: 0 -20px;
        overflow-x: scroll;
    }

    #contacts .contacts-block {
        min-width: 90%;
        width: auto;
    }

    #contacts .contacts-block-white h2 {
        font-size: 2rem;
        line-height: 1;
    }
}
